aboutsummaryrefslogtreecommitdiffstats
path: root/testing/py-sphinxcontrib-coffee/APKBUILD
diff options
context:
space:
mode:
authorFabian Affolter <fabian@affolter-engineering.ch>2014-08-21 16:01:59 +0000
committerFabian Affolter <fabian@affolter-engineering.ch>2014-08-23 10:28:55 +0000
commitc860053bf737c8cc5c392680ec9750f77ddd0d99 (patch)
tree88f46b88983a71ded9a39ac9b0f18fc4e16b4ea6 /testing/py-sphinxcontrib-coffee/APKBUILD
parent8f4cf0c93dad23dc05e6f346644ce6e34307ca8c (diff)
downloadaports-c860053bf737c8cc5c392680ec9750f77ddd0d99.tar.gz
aports-c860053bf737c8cc5c392680ec9750f77ddd0d99.tar.bz2
aports-c860053bf737c8cc5c392680ec9750f77ddd0d99.tar.xz
testing/py-sphinxcontrib-coffee: new aport
Sphinx extension to add CoffeeScript support https://pypi.python.org/pypi/sphinxcontrib-coffee
Diffstat (limited to 'testing/py-sphinxcontrib-coffee/APKBUILD')
-rw-r--r--testing/py-sphinxcontrib-coffee/APKBUILD41
1 files changed, 41 insertions, 0 deletions
diff --git a/testing/py-sphinxcontrib-coffee/APKBUILD b/testing/py-sphinxcontrib-coffee/APKBUILD
new file mode 100644
index 0000000000..054fac7b88
--- /dev/null
+++ b/testing/py-sphinxcontrib-coffee/APKBUILD
@@ -0,0 +1,41 @@
+# Contributor: Fabian Affolter <fabian@affolter-engineering.ch>
+# Maintainer: Fabian Affolter <fabian@affolter-engineering.ch>
+pkgname=py-sphinxcontrib-coffee
+_pkgname=sphinxcontrib-coffee
+pkgver=0.2.1
+pkgrel=0
+pkgdesc="Sphinx CoffeeScript extension"
+url="https://pypi.python.org/pypi/sphinxcontrib-coffee"
+arch="noarch"
+license="BSD"
+depends="python py-sphinx"
+depends_dev=""
+makedepends="python-dev py-setuptools"
+install=""
+subpackages=""
+source="http://pypi.python.org/packages/source/${_pkgname:0:1}/$_pkgname/$_pkgname-$pkgver.tar.gz"
+
+_builddir="$srcdir"/$_pkgname-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ python setup.py build || return 1
+}
+
+package() {
+ cd "$_builddir"
+ python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+}
+
+md5sums="e2eb216531ef36c2f050fb1ffa5fdfc9 sphinxcontrib-coffee-0.2.1.tar.gz"
+sha256sums="d72085a108c80847ff413e9891a69c2df3c5527d31694c2935d1b03d8a00df69 sphinxcontrib-coffee-0.2.1.tar.gz"
+sha512sums="16c1b4ff721239dd99fb935e845ce23c6265022c6a8d9ce3d335107978789b9fea7202423b758441d35be85331ecfeef5c9caef6cb2c0e83a86a4044cb22daf9 sphinxcontrib-coffee-0.2.1.tar.gz"